Debian Bug report logs - #174119
ITA: noteedit -- KDE Music Editor

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Mon, 23 Dec 2002 22:33:24 UTC

Severity: normal

Fixed in version noteedit/2.1.0-1

Done: Daniel Burrows <dburrows@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#174119; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Cc: Brian Russo <wolfie@debian.org>
Subject: O: noteedit -- KDE Music Note Editor
Date: Mon, 23 Dec 2002 23:24:58 +0100
Package: wnpp
Severity: normal

The old maintainer of noteedit, Brian Russo <wolfie@debian.org>, is
apparently not active anymore.  This package is thus being orphaned now.
If you want to be the new maintainer, please take it -- retitle this bug
from 'O:' to 'ITA:', fix the outstanding bugs and upload a new version
with your name in the Maintainer: field and a

   * New maintainer (Closes: #thisbug)

in the changelog so this bug is closed.


Some information about this package:

Package: noteedit
Binary: noteedit
Version: 1.16.1-1.1
Priority: optional
Section: sound
Maintainer: Brian Russo <wolfie@debian.org>
Build-Depends: debhelper (>> 3.0.0), libtse3-dev (>= 0.1.2-1), libqt-dev (>=2:2.3.0), libjpeg62-dev, kdelibs-dev (>= 2.1.2), libarts-dev (>= 2.1.2), zlib1g-dev (>= 1:1.1.3), xlibs-dev (>= 4.0.0), gettext, kde-designer, libpng2-dev, kdemultimedia-dev, libasound2-dev, lilypond (>= 1.4.9-1), flex, bison
Architecture: any
Standards-Version: 3.5.2
Format: 1.0
Directory: pool/main/n/noteedit
Files:
 fe657fae0b421eef6de3b75d638c44b2 888 noteedit_1.16.1-1.1.dsc
 97fa7bcb729dc741f6c610dcd825e207 1106051 noteedit_1.16.1.orig.tar.gz
 db8d8a058a0b822e51d19cc5731288ec 2580 noteedit_1.16.1-1.1.diff.gz

Package: noteedit
Priority: optional
Section: sound
Installed-Size: 6049
Maintainer: Brian Russo <wolfie@debian.org>
Architecture: i386
Version: 1.16.1-1.1
Depends: kdelibs3 (>= 4:2.2.2-1), libc6 (>= 2.2.4-4), libfam0, libjpeg62, libpng2(>=1.0.12), libqt2 (>= 3:2.3.1-1), libstdc++2.10-glibc2.2 (>= 1:2.95.4-0.010810), libtse3, xlibs (>> 4.1.0), zlib1g (>= 1:1.1.3)
Filename: pool/main/n/noteedit/noteedit_1.16.1-1.1_i386.deb
Size: 1343822
MD5sum: 59115f40683d28b38aa28b0c72b4b0e0
Description: KDE Music Note Editor
 KDE2/Qt2 Music note editor, capable of handling MIDI and TSE3, also can
 be used with MusiXTeX.
 .
 It can export/import MIDI, export PMX, export MusiXTeX, read and record
 from a MIDI keyboard, build chords, build groups of beamed notes, and
 many others.
 .
 A Soundblaster AWE-64 card or better/similar is recommended.


[ Justification: Brian has not been around for quite a while.  His last
message (from July) gives someone else permission to adopt one of his
packages (see #151708).  I guess it's best for Debian to orphan all of
is packages.  Wolfie, sorry I have to do this to you, and I hope you
are still out there, alive and kicking! ]

-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#174119; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dnb114@psu.edu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 174119@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dnb114@psu.edu>
To: Martin Michlmayr <tbm@cyrius.com>, 174119@bugs.debian.org
Subject: Re: Bug#174119: O: noteedit -- KDE Music Note Editor
Date: Mon, 23 Dec 2002 18:14:06 -0500
  I'd adopt this -- I don't use it myself (mainly because it isn't
usable for me in its present state) but I am interested in music
notation software.  However, it the latest upstream version depends
on KDE3, which currently seems slated to enter Debian slightly *after*
Sisyphus pushes his rock up the hill.  Maybe once things start moving on
that front I'll retitle this.

  Daniel

-- 
/-------------------- Daniel Burrows <dburrows@debian.org> -------------------\
|                The only thing worse than infinite recursion                 |
|                is infinite recursion.                                       |
\-- Does your computer have Super Cow Powers? ------- http://www.debian.org --/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#174119; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to cobaco@linux.be:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 174119@bugs.debian.org (full text, mbox):

From: cobaco <cobaco@linux.be>
To: 174119@bugs.debian.org
Subject: Karolina are available packages are available
Date: Thu, 30 Jan 2003 09:25:43 +0100
these packages are available from Karolina Lindqvist at 
	deb http://wh9.tu-dresden.de/kde3/karolina ./ 
 	deb-src http://wh9.tu-dresden.de/kde3/karolina ./
 
 
-- 
Cheers, cobaco

/"\  ASCII Ribbon Campaign
\ /  No proprietary formats in attachments without request
 X   i.e. *NO* WORD, POWERPOINT or EXCEL documents
/ \  Respect Open Standards
      http://www.fsf.org/philosophy/no-word-attachments.html
      http://www.goldmark.org/netrants/no-word/attach.html



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#174119; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 174119@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Daniel Burrows <dnb114@psu.edu>
Cc: 174119@bugs.debian.org
Subject: Re: Bug#174119: O: noteedit -- KDE Music Note Editor
Date: Mon, 10 Feb 2003 15:53:10 +0100
KDE 3.1 is now uploaded into Sid.  How is the progress on uploading a
new version of noteedit?



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#174119; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dnb114@psu.edu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 174119@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dnb114@psu.edu>
To: Petter Reinholdtsen <pere@hungry.com>, 174119@bugs.debian.org
Subject: Re: Bug#174119: O: noteedit -- KDE Music Note Editor
Date: Mon, 10 Feb 2003 10:58:50 -0500
  libtse3, which noteedit wants to use, is not yet compiled against
g++-3.2.  You can force configure to disable tse3 support and use
libkmid instead, in which case you run into the fact that Bison is
broken (bug #177041)

  I'm not sure if I'd want to upload tse3-less packages, but I
definitely can't do anything until Bison is un-broken.

  Daniel

-- 
/-------------------- Daniel Burrows <dburrows@debian.org> -------------------\
|                      A conclusion is the place                              |
|                      where you got tired of thinking.                       |
\----------------- The Turtle Moves! -- http://www.lspace.org ----------------/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#174119; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #30 received at 174119@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: Daniel Burrows <dnb114@psu.edu>
Cc: Petter Reinholdtsen <pere@hungry.com>, 174119@bugs.debian.org
Subject: Re: Bug#174119: O: noteedit -- KDE Music Note Editor
Date: 11 Feb 2003 00:24:13 +0100
Daniel Burrows <dnb114@psu.edu> writes:

>   libtse3, which noteedit wants to use, is not yet compiled against
> g++-3.2.  You can force configure to disable tse3 support and use
> libkmid instead, in which case you run into the fact that Bison is
> broken (bug #177041)

A fixed tse3 is in incoming.

>   I'm not sure if I'd want to upload tse3-less packages, but I
> definitely can't do anything until Bison is un-broken.

Hmm, try bison-1.35.

Thanks,

Matej



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#174119; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dnb114@psu.edu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #35 received at 174119@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dnb114@psu.edu>
To: Matej Vela <vela@debian.org>
Cc: Petter Reinholdtsen <pere@hungry.com>, 174119@bugs.debian.org
Subject: Re: Bug#174119: O: noteedit -- KDE Music Note Editor
Date: Mon, 10 Feb 2003 19:11:41 -0500
On Tue, Feb 11, 2003 at 12:24:13AM +0100, Matej Vela <vela@debian.org> was heard to say:
> Daniel Burrows <dnb114@psu.edu> writes:
> 
> >   libtse3, which noteedit wants to use, is not yet compiled against
> > g++-3.2.  You can force configure to disable tse3 support and use
> > libkmid instead, in which case you run into the fact that Bison is
> > broken (bug #177041)
> 
> A fixed tse3 is in incoming.

  Well, sort of, if not having a library package is "fixed"...

  Anyway, I didn't realize bison-1.35 was available.  That got rid of
the Bison compilation problem.  (why isn't bison-1.35 named "bison" and
"bison" "bison-experimental" or something?  I mean, this is far from the
first time they've broken everyone else's code..)

  So, after downloading a non-wedged Bison, and convincing the noteedit
configure script that .a files are libraries too, it seems to compile
and link.  It doesn't run installed in /usr/local unless I set KDEDIR
(whose idea was that piece of borkage?), but it seems to work, somewhat,
once I do that.  When I place a note, it doesn't ever stop playing, but
that may be my sucky soundcard.

  I guess I can see about uploading a new version sometime this
week...maybe Wednesday at the earliest.  I won't be the best maintainer
for this package, since I can't check whether it works with expensive
music hardware (eg, external keyboards), but I can at least make sure it
compiles and works.

  Daniel

-- 
/-------------------- Daniel Burrows <dburrows@debian.org> -------------------\
|                         You will soon forget this.                          |
\------- (if (not (understand-this)) (go-to http://www.schemers.org)) --------/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#174119; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Craig Dickson <crdic@pacbell.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #40 received at 174119@bugs.debian.org (full text, mbox):

From: Craig Dickson <crdic@pacbell.net>
To: 174119@bugs.debian.org, Daniel Burrows <dnb114@psu.edu>
Subject: Re: Bug#174119: O: noteedit -- KDE Music Note Editor
Date: Tue, 18 Mar 2003 21:29:30 -0800
Daniel Burrows wrote on 10 Feb 2003:

> I guess I can see about uploading a new version sometime this
> week...maybe Wednesday at the earliest.

Any news on this?

Thanks,

Craig



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#174119; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dnb114@psu.edu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #45 received at 174119@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dnb114@psu.edu>
To: Craig Dickson <crdic@pacbell.net>, 174119@bugs.debian.org, control@bugs.debian.rog
Subject: Re: Bug#174119: O: noteedit -- KDE Music Note Editor
Date: Wed, 19 Mar 2003 11:47:04 -0500
retitle 174119 ITA: noteedit -- KDE Music Editor
thanks

On Tue, Mar 18, 2003 at 09:29:30PM -0800, Craig Dickson <crdic@pacbell.net> was heard to say:
> Daniel Burrows wrote on 10 Feb 2003:
> 
> > I guess I can see about uploading a new version sometime this
> > week...maybe Wednesday at the earliest.
> 
> Any news on this?

  Oops, I forgot.  Anyway, I've put some preliminary packages at
http://people.debian.org/~dburrows/noteedit.

  The only thing left to solve is that Lintian complains because of a
library contained in the package (libnoteedit).  I'm not sure what (if
anything) to do about this; there are no include files for it and there
is only one program in the package, so I suspect the author is making a
shared library just because he feels like it.  Maybe I can figure out a
way to link it into noteedit statically.

  Daniel

-- 
/-------------------- Daniel Burrows <dburrows@debian.org> -------------------\
|                    "Do you know why the prisoner in the                     |
|                     tower watches the flight of birds?"                     |
|                      -- Terry Pratchett, _Reaper_Man_                       |
\-- Does your computer have Super Cow Powers? ------- http://www.debian.org --/



Changed Bug title. Request was from Daniel Burrows <dnb114@psu.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#174119; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Craig Dickson <crdic@pacbell.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #52 received at 174119@bugs.debian.org (full text, mbox):

From: Craig Dickson <crdic@pacbell.net>
To: Daniel Burrows <dnb114@psu.edu>
Cc: 174119@bugs.debian.org
Subject: Re: Bug#174119: O: noteedit -- KDE Music Note Editor
Date: Wed, 19 Mar 2003 10:13:17 -0800
Daniel Burrows wrote:

>   Oops, I forgot.  Anyway, I've put some preliminary packages at
> http://people.debian.org/~dburrows/noteedit.

Great! I have installed this and will do some user testing as soon as I
can.

I notice that the maintainer field still has the old maintainer's name.

Also, your package does not appear to depend on libtse3. I guess this
has to do with the fact that the libtse3 package is badly out of date
(while libtse3-dev, oddly, is fairly current). So did you link in
libtse3 statically, or use libkmid, or...?

Thanks again,

Craig



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#174119; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dnb114@psu.edu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #57 received at 174119@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dnb114@psu.edu>
To: Craig Dickson <crdic@pacbell.net>
Cc: 174119@bugs.debian.org
Subject: Re: Bug#174119: O: noteedit -- KDE Music Note Editor
Date: Wed, 19 Mar 2003 13:31:00 -0500
On Wed, Mar 19, 2003 at 10:13:17AM -0800, Craig Dickson <crdic@pacbell.net> was heard to say:
> Daniel Burrows wrote:
> 
> >   Oops, I forgot.  Anyway, I've put some preliminary packages at
> > http://people.debian.org/~dburrows/noteedit.
> 
> Great! I have installed this and will do some user testing as soon as I
> can.
> 
> I notice that the maintainer field still has the old maintainer's name.
> 
> Also, your package does not appear to depend on libtse3. I guess this
> has to do with the fact that the libtse3 package is badly out of date
> (while libtse3-dev, oddly, is fairly current). So did you link in
> libtse3 statically, or use libkmid, or...?

  I've uploaded a final version to incoming now -- the remaining issue
turned out to be a general KDE plugin thing, and in any event isn't a
regression from the previous package, so I felt it was better to get a
new package out now.

  The tse3 thing is due to the fact that the tse3 maintainer (errrrr, I
guess the QA group) decided to only build static libraries of the new
tse3 version.  The tse3 changelog explains their reasoning for that; I'm
linking it statically for now.

  Daniel

-- 
/-------------------- Daniel Burrows <dburrows@debian.org> -------------------\
|                               swapon /dev/ram                               |
\----------------- The Turtle Moves! -- http://www.lspace.org ----------------/



Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #62 received at 174119-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 174119-close@bugs.debian.org
Subject: Bug#174119: fixed in noteedit 2.1.0-1
Date: Wed, 19 Mar 2003 13:32:35 -0500
We believe that the bug you reported is fixed in the latest version of
noteedit, which is due to be installed in the Debian FTP archive:

noteedit_2.1.0-1.diff.gz
  to pool/main/n/noteedit/noteedit_2.1.0-1.diff.gz
noteedit_2.1.0-1.dsc
  to pool/main/n/noteedit/noteedit_2.1.0-1.dsc
noteedit_2.1.0-1_i386.deb
  to pool/main/n/noteedit/noteedit_2.1.0-1_i386.deb
noteedit_2.1.0.orig.tar.gz
  to pool/main/n/noteedit/noteedit_2.1.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 174119@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated noteedit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 19 Mar 2003 09:30:52 -0500
Source: noteedit
Binary: noteedit
Architecture: source i386
Version: 2.1.0-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 noteedit   - KDE Music Editor
Closes: 132246 134244 134300 146651 174119
Changes: 
 noteedit (2.1.0-1) unstable; urgency=low
 .
   * New upstream release.  (Closes: #134300)
     - Should support alsa 0.9.0-rc1 midi interface (Closes: #146651)
   * New maintainer (Closes: #174119)
   * Rewrote the Description to be somewhat legible (needs more work?)
   * Updated Build-Depends to indicate that it requires KDE3 and other new
     versions of libraries.
   * Updated config.sub, config.guess. (Closes: #134244)
   * Acknowledge NMU fixes:
     - compile error on sparc fixed in 1.16.1-1.1 (Closes: #132246)
Files: 
 cde276a830a0251f6241a5aa9b8990de 820 sound optional noteedit_2.1.0-1.dsc
 c4dc3d5960505464fbcec3164377826e 1584428 sound optional noteedit_2.1.0.orig.tar.gz
 d6dcc09a0a231f71f4a9b2a35ebe5710 28462 sound optional noteedit_2.1.0-1.diff.gz
 f592b8abdd3b8605dae8466fb9758a08 1765098 sound optional noteedit_2.1.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE+eLUQch6xsM7kSXgRAuvFAKCN/3pYHseWO3sXGr3JFOhBeLa8PgCgsE6t
pK8X0AbccQ8HT7U3oIg8DGA=
=vmkZ
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:03:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.